## class OSGUTIL_EXPORT osgUtil::UpdateVisitor

> Basic UpdateVisitor implementation for animating a scene.

## Inheritance:

### Public Methods

UpdateVisitor()
virtual ~UpdateVisitor()
virtual void reset()
virtual void apply(osg::Node& node)
virtual void apply(osg::Geode& node)
virtual void apply(osg::Billboard& node)
virtual void apply(osg::LightSource& node)
virtual void apply(osg::Group& node)
virtual void apply(osg::Transform& node)
virtual void apply(osg::Projection& node)
virtual void apply(osg::Switch& node)
virtual void apply(osg::LOD& node)
virtual void apply(osg::Impostor& node)
virtual void apply(osg::OccluderNode& node)

### Protected Methods

UpdateVisitor& operator = (const UpdateVisitor&)
  prevent unwanted copy operator
inline void handle_callbacks_and_traverse(osg::Node& node)
inline void handle_geode_callbacks(osg::Geode& node)
inline void traverseGeode(osg::Geode& geode)

## Documentation

> Basic UpdateVisitor implementation for animating a scene. This visitor traverses the scene graph, call each nodes appCallback if it exists.

`UpdateVisitor()`

`virtual ~UpdateVisitor()`

`virtual void reset()`

`virtual void apply(osg::Node& node)`

`virtual void apply(osg::Geode& node)`

`virtual void apply(osg::Billboard& node)`

`virtual void apply(osg::LightSource& node)`

`virtual void apply(osg::Group& node)`

`virtual void apply(osg::Transform& node)`

`virtual void apply(osg::Projection& node)`

`virtual void apply(osg::Switch& node)`

`virtual void apply(osg::LOD& node)`

`virtual void apply(osg::Impostor& node)`

`virtual void apply(osg::OccluderNode& node)`

`UpdateVisitor& operator = (const UpdateVisitor&)`
  prevent unwanted copy operator

`inline void handle_callbacks_and_traverse(osg::Node& node)`

`inline void handle_geode_callbacks(osg::Geode& node)`

`inline void traverseGeode(osg::Geode& geode)`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.